diff --git a/etc/rc.filter_synchronize b/etc/rc.filter_synchronize
index 748af95082c919bb8447dcbf66abbf55defe504b..863320bddd1035cf9249a12da9546c094c0d8eea 100755
--- a/etc/rc.filter_synchronize
+++ b/etc/rc.filter_synchronize
@@ -164,7 +164,7 @@ function carp_sync_xml($sections) {
 	if (is_array($config_copy['dhcpd'])) {
 		foreach ($config_copy['dhcpd'] as $dhcpif => $dhcpifconf) {
 			if ($dhcpifconf['failover_peerip'] <> "") {
-				$int = guess_interface_from_ip($dhcpifconf['failover_peerip']);
+				$int = convert_friendly_interface_to_real_interface_name($dhcpif);
 				$intip = find_interface_ip($int);
 				$config_copy['dhcpd'][$dhcpif]['failover_peerip'] = $intip;
 			}
